@if (!edit) {
  <div
    class="flex-row full-height full-width"
    [ngClass]="getComponentClasses()"
    (click)="enableEditMode()"
  >
    @if (value) {
      <div
        [innerHTML]="displayValue | safeRichContent"
        class="field-value-color"
      ></div>
    } @else {
      @if (editable && showPlaceHolder) {
        <span class="sqtm-placeholder">
          {{
            !!placeholder
              ? placeholder
              : ('sqtm-core.generic.editable.placeholder' | translate)
          }}
        </span>
      }
    }
    @if (editable) {
      <i
        class="pencil-icon flex-fixed-size"
        nz-icon
        [nzType]="getEditableIcon()"
        nzTheme="outline"
      ></i>
    }
  </div>
}
@if (edit) {
  <div class="flex-column" [ngClass]="getComponentClasses()">
    <div class="flex full-width full-height align-items-center">
      <input
        #input
        nz-input
        [ngClass]="getInputFieldCss()"
        (keyup.enter)="handleKeyupEnter()"
        (keyup.escape)="handleKeyUpEsc()"
        (keydown.arrowUp)="activateOptionAbove($event)"
        (keydown.arrowDown)="activateOptionBelow($event)"
        [formControl]="formControl"
        [nzSize]="size"
        (input)="handleInputChange($event)"
        (blur)="handleBlur($event)"
      />
      @if (mustShowButtons()) {
        <button
          #confirmButton
          nz-button
          nzType="primary"
          [ngClass]="getConfirmButtonCss()"
          [nzSize]="size"
          [nzLoading]="pending"
          (click)="confirm()"
        >
          <i nz-icon [nzType]="'check'"></i>
          @if (mustShowButtonLabels()) {
            {{ 'sqtm-core.generic.label.confirm' | translate | capitalize }}
          }
        </button>
        <button
          #cancelButton
          nz-button
          nzType="default"
          [nzSize]="size"
          [ngClass]="getCancelButtonCss()"
          [nzLoading]="pending"
          (click)="cancel()"
        >
          <i nz-icon [nzType]="'close'"></i>
          @if (mustShowButtonLabels()) {
            {{ 'sqtm-core.generic.label.cancel' | translate | capitalize }}
          }
        </button>
      }
    </div>
  </div>
}

<ng-template #template>
  <div class="autocomplete-menu-container">
    <div class="autocomplete-menu">
      @for (option of options; track option; let index = $index) {
        <sqtm-core-action-autocomplete-field-option
          [value]="option"
          (mousedown)="selectOptionWithMouse($event, option)"
          (mouseover)="activateOption(index)"
        >
        </sqtm-core-action-autocomplete-field-option>
      }
    </div>
  </div>
</ng-template>
